diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-net-device.cc ns-3.42/src/lr-wpan/model/lr-wpan-net-device.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-net-device.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-net-device.cc	2024-05-29 15:29:46.976073300 -0700
@@ -35,9 +35,10 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 NS_LOG_COMPONENT_DEFINE("LrWpanNetDevice");
-
 NS_OBJECT_ENSURE_REGISTERED(LrWpanNetDevice);
 
 TypeId
@@ -559,4 +560,5 @@
     return (streamIndex - stream);
 }
 
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-net-device.h ns-3.42/src/lr-wpan/model/lr-wpan-net-device.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-net-device.h	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-net-device.h	2024-05-29 15:29:46.976073300 -0700
@@ -30,11 +30,15 @@
 namespace ns3
 {
 
-class LrWpanPhy;
-class LrWpanCsmaCa;
 class SpectrumChannel;
 class Node;
 
+namespace lrwpan
+{
+
+class LrWpanPhy;
+class LrWpanCsmaCa;
+
 /**
  * \ingroup lr-wpan
  *
@@ -316,6 +320,7 @@
     PseudoMacAddressMode_e m_pseudoMacMode;
 };
 
+} // namespace lrwpan
 } // namespace ns3
 
 #endif /* LR_WPAN_NET_DEVICE_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-phy.cc ns-3.42/src/lr-wpan/model/lr-wpan-phy.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-phy.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-phy.cc	2024-05-29 15:29:46.976073300 -0700
@@ -45,9 +45,10 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 NS_LOG_COMPONENT_DEFINE("LrWpanPhy");
-
 NS_OBJECT_ENSURE_REGISTERED(LrWpanPhy);
 
 /**
@@ -56,7 +57,7 @@
  * Bit rate is in kbit/s.  Symbol rate is in ksymbol/s.
  * The index follows LrWpanPhyOption (kb/s and ksymbol/s)
  */
-static const LrWpanPhyDataAndSymbolRates dataSymbolRates[IEEE_802_15_4_INVALID_PHY_OPTION]{
+static const PhyDataAndSymbolRates dataSymbolRates[IEEE_802_15_4_INVALID_PHY_OPTION]{
     {20.0, 20.0},
     {40.0, 40.0},
     {20.0, 20.0},
@@ -75,7 +76,7 @@
  * The PHR is 1 octet and it follows phySymbolsPerOctet in Table 23.
  * The index follows LrWpanPhyOption.
  */
-const LrWpanPhyPpduHeaderSymbolNumber ppduHeaderSymbolNumbers[IEEE_802_15_4_INVALID_PHY_OPTION]{
+const PhyPpduHeaderSymbolNumber ppduHeaderSymbolNumbers[IEEE_802_15_4_INVALID_PHY_OPTION]{
     {32.0, 8.0, 8.0},
     {32.0, 8.0, 8.0},
     {32.0, 8.0, 8.0},
@@ -88,47 +89,47 @@
 };
 
 std::ostream&
-operator<<(std::ostream& os, const LrWpanPhyEnumeration& state)
+operator<<(std::ostream& os, const PhyEnumeration& state)
 {
     switch (state)
     {
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_BUSY:
+    case PhyEnumeration::IEEE_802_15_4_PHY_BUSY:
         os << "BUSY";
         break;
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_BUSY_RX:
+    case PhyEnumeration::IEEE_802_15_4_PHY_BUSY_RX:
         os << "BUSY_RX";
         break;
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_BUSY_TX:
+    case PhyEnumeration::IEEE_802_15_4_PHY_BUSY_TX:
         os << "BUSY_TX";
         break;
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_FORCE_TRX_OFF:
+    case PhyEnumeration::IEEE_802_15_4_PHY_FORCE_TRX_OFF:
         os << "FORCE_TRX_OFF";
         break;
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_IDLE:
+    case PhyEnumeration::IEEE_802_15_4_PHY_IDLE:
         os << "IDLE";
         break;
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_INVALID_PARAMETER:
+    case PhyEnumeration::IEEE_802_15_4_PHY_INVALID_PARAMETER:
         os << "INVALID_PARAMETER";
         break;
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_RX_ON:
+    case PhyEnumeration::IEEE_802_15_4_PHY_RX_ON:
         os << "RX_ON";
         break;
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_SUCCESS:
+    case PhyEnumeration::IEEE_802_15_4_PHY_SUCCESS:
         os << "SUCCESS";
         break;
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_TRX_OFF:
+    case PhyEnumeration::IEEE_802_15_4_PHY_TRX_OFF:
         os << "TRX_OFF";
         break;
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_TX_ON:
+    case PhyEnumeration::IEEE_802_15_4_PHY_TX_ON:
         os << "TX_ON";
         break;
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_UNSUPPORTED_ATTRIBUTE:
+    case PhyEnumeration::IEEE_802_15_4_PHY_UNSUPPORTED_ATTRIBUTE:
         os << "UNSUPPORTED";
         break;
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_READ_ONLY:
+    case PhyEnumeration::IEEE_802_15_4_PHY_READ_ONLY:
         os << "READ_ONLY";
         break;
-    case LrWpanPhyEnumeration::IEEE_802_15_4_PHY_UNSPECIFIED:
+    case PhyEnumeration::IEEE_802_15_4_PHY_UNSPECIFIED:
         os << "UNSPECIFIED";
         break;
     }
@@ -136,9 +137,9 @@
 };
 
 std::ostream&
-operator<<(std::ostream& os, const TracedValue<LrWpanPhyEnumeration>& state)
+operator<<(std::ostream& os, const TracedValue<PhyEnumeration>& state)
 {
-    LrWpanPhyEnumeration s = state;
+    PhyEnumeration s = state;
     return os << s;
 };
 
@@ -279,16 +280,14 @@
 
     m_random = nullptr;
     m_pdDataIndicationCallback = MakeNullCallback<void, uint32_t, Ptr<Packet>, uint8_t>();
-    m_pdDataConfirmCallback = MakeNullCallback<void, LrWpanPhyEnumeration>();
-    m_plmeCcaConfirmCallback = MakeNullCallback<void, LrWpanPhyEnumeration>();
-    m_plmeEdConfirmCallback = MakeNullCallback<void, LrWpanPhyEnumeration, uint8_t>();
-    m_plmeGetAttributeConfirmCallback = MakeNullCallback<void,
-                                                         LrWpanPhyEnumeration,
-                                                         LrWpanPibAttributeIdentifier,
-                                                         Ptr<LrWpanPhyPibAttributes>>();
-    m_plmeSetTRXStateConfirmCallback = MakeNullCallback<void, LrWpanPhyEnumeration>();
+    m_pdDataConfirmCallback = MakeNullCallback<void, PhyEnumeration>();
+    m_plmeCcaConfirmCallback = MakeNullCallback<void, PhyEnumeration>();
+    m_plmeEdConfirmCallback = MakeNullCallback<void, PhyEnumeration, uint8_t>();
+    m_plmeGetAttributeConfirmCallback =
+        MakeNullCallback<void, PhyEnumeration, PhyPibAttributeIdentifier, Ptr<PhyPibAttributes>>();
+    m_plmeSetTRXStateConfirmCallback = MakeNullCallback<void, PhyEnumeration>();
     m_plmeSetAttributeConfirmCallback =
-        MakeNullCallback<void, LrWpanPhyEnumeration, LrWpanPibAttributeIdentifier>();
+        MakeNullCallback<void, PhyEnumeration, PhyPibAttributeIdentifier>();
 
     SpectrumPhy::DoDispose();
 }
@@ -404,7 +403,7 @@
     NS_ASSERT(p);
 
     // Prevent PHY from receiving another packet while switching the transceiver state.
-    if (m_trxState == IEEE_802_15_4_PHY_RX_ON && !m_setTRXState.IsRunning())
+    if (m_trxState == IEEE_802_15_4_PHY_RX_ON && !m_setTRXState.IsPending())
     {
         // The specification doesn't seem to refer to BUSY_RX, but vendor
         // data sheets suggest that this is a substate of the RX_ON state
@@ -647,7 +646,7 @@
     }
 
     // Prevent PHY from sending a packet while switching the transceiver state.
-    if (!m_setTRXState.IsRunning())
+    if (!m_setTRXState.IsPending())
     {
         if (m_trxState == IEEE_802_15_4_PHY_TX_ON)
         {
@@ -755,7 +754,7 @@
     }
     else
     {
-        LrWpanPhyEnumeration result = m_trxState;
+        PhyEnumeration result = m_trxState;
         if (m_trxState == IEEE_802_15_4_PHY_BUSY_TX)
         {
             result = IEEE_802_15_4_PHY_TX_ON;
@@ -769,11 +768,11 @@
 }
 
 void
-LrWpanPhy::PlmeGetAttributeRequest(LrWpanPibAttributeIdentifier id)
+LrWpanPhy::PlmeGetAttributeRequest(PhyPibAttributeIdentifier id)
 {
     NS_LOG_FUNCTION(this << id);
-    LrWpanPhyEnumeration status = IEEE_802_15_4_PHY_SUCCESS;
-    Ptr<LrWpanPhyPibAttributes> attributes = Create<LrWpanPhyPibAttributes>();
+    PhyEnumeration status = IEEE_802_15_4_PHY_SUCCESS;
+    Ptr<PhyPibAttributes> attributes = Create<PhyPibAttributes>();
 
     switch (id)
     {
@@ -802,7 +801,7 @@
 
 // Section 6.2.2.7.3
 void
-LrWpanPhy::PlmeSetTRXStateRequest(LrWpanPhyEnumeration state)
+LrWpanPhy::PlmeSetTRXStateRequest(PhyEnumeration state)
 {
     NS_LOG_FUNCTION(this << state);
 
@@ -1031,12 +1030,11 @@
 }
 
 void
-LrWpanPhy::PlmeSetAttributeRequest(LrWpanPibAttributeIdentifier id,
-                                   Ptr<LrWpanPhyPibAttributes> attribute)
+LrWpanPhy::PlmeSetAttributeRequest(PhyPibAttributeIdentifier id, Ptr<PhyPibAttributes> attribute)
 {
     NS_LOG_FUNCTION(this << id << attribute);
     NS_ASSERT(attribute);
-    LrWpanPhyEnumeration status = IEEE_802_15_4_PHY_SUCCESS;
+    PhyEnumeration status = IEEE_802_15_4_PHY_SUCCESS;
 
     switch (id)
     {
@@ -1354,7 +1352,7 @@
 }
 
 void
-LrWpanPhy::ChangeTrxState(LrWpanPhyEnumeration newState)
+LrWpanPhy::ChangeTrxState(PhyEnumeration newState)
 {
     NS_LOG_LOGIC(this << " state: " << m_trxState << " -> " << newState);
 
@@ -1371,7 +1369,7 @@
 }
 
 void
-LrWpanPhy::CancelEd(LrWpanPhyEnumeration state)
+LrWpanPhy::CancelEd(PhyEnumeration state)
 {
     NS_LOG_FUNCTION(this);
     NS_ASSERT(state == IEEE_802_15_4_PHY_TRX_OFF || state == IEEE_802_15_4_PHY_TX_ON);
@@ -1426,7 +1424,7 @@
 LrWpanPhy::EndCca()
 {
     NS_LOG_FUNCTION(this);
-    LrWpanPhyEnumeration sensedChannelState = IEEE_802_15_4_PHY_UNSPECIFIED;
+    PhyEnumeration sensedChannelState = IEEE_802_15_4_PHY_UNSPECIFIED;
 
     // Update peak power.
     double power = LrWpanSpectrumValueHelper::TotalAvgPower(m_signal->GetSignalPsd(),
@@ -1549,7 +1547,7 @@
     {
         // Only change the state immediately, if the transceiver is not already
         // switching the state.
-        if (!m_setTRXState.IsRunning())
+        if (!m_setTRXState.IsPending())
         {
             NS_LOG_LOGIC("Apply pending state change to " << m_trxStatePending);
             ChangeTrxState(m_trxStatePending);
@@ -1631,7 +1629,7 @@
 }
 
 void
-LrWpanPhy::SetPhyOption(LrWpanPhyOption phyOption)
+LrWpanPhy::SetPhyOption(PhyOption phyOption)
 {
     NS_LOG_FUNCTION(this);
 
@@ -1786,7 +1784,7 @@
     return WToDbm(m_rxSensitivity);
 }
 
-LrWpanPhyOption
+PhyOption
 LrWpanPhy::GetMyPhyOption()
 {
     NS_LOG_FUNCTION(this);
@@ -1910,4 +1908,5 @@
     m_postReceptionErrorModel = em;
 }
 
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-phy.h ns-3.42/src/lr-wpan/model/lr-wpan-phy.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-phy.h	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-phy.h	2024-05-29 15:29:46.976073300 -0700
@@ -35,8 +35,6 @@
 
 class Packet;
 class SpectrumValue;
-class LrWpanErrorModel;
-struct LrWpanSpectrumSignalParameters;
 class MobilityModel;
 class SpectrumChannel;
 class SpectrumModel;
@@ -45,12 +43,18 @@
 class UniformRandomVariable;
 class ErrorModel;
 
+namespace lrwpan
+{
+
+class LrWpanErrorModel;
+struct LrWpanSpectrumSignalParameters;
+
 /**
  * \ingroup lr-wpan
  *
  * Helper structure to manage the power measurement during ED.
  */
-struct LrWpanEdPower
+struct EdPower
 {
     double averagePower;    //!< Average measured power
     Time lastUpdate;        //!< Last update time
@@ -63,7 +67,7 @@
  * This data structure provides the Bit rate and Symbol rate for a given channel
  * See IEEE802.15.4-2006 Table 1 and 2 in section 6.1.1 and 6.1.2
  */
-struct LrWpanPhyDataAndSymbolRates
+struct PhyDataAndSymbolRates
 {
     double bitRate;    //!< bit rate
     double symbolRate; //!< symbol rate
@@ -75,7 +79,7 @@
  * This data structure provides number of symbols for the PPDU headers: SHR and PHR
  * See IEEE802.15.4-2006 Figure 16, Table 19 and 20 in section 6.3
  */
-struct LrWpanPhyPpduHeaderSymbolNumber
+struct PhyPpduHeaderSymbolNumber
 {
     double shrPreamble; //!< Number of symbols for the SHR preamble
     double shrSfd;      //!< Number of symbols for the SHR SFD
@@ -87,7 +91,7 @@
  *
  * This Phy option will be used to index various Tables in IEEE802.15.4-2011
  */
-enum LrWpanPhyOption
+enum PhyOption
 {
     IEEE_802_15_4_868MHZ_BPSK,
     IEEE_802_15_4_915MHZ_BPSK,
@@ -107,7 +111,7 @@
  * IEEE802.15.4-2006 PHY Emumerations Table 18
  * in section 6.2.3
  */
-enum LrWpanPhyEnumeration
+enum PhyEnumeration
 {
     IEEE_802_15_4_PHY_BUSY = 0x00,
     IEEE_802_15_4_PHY_BUSY_RX = 0x01,
@@ -125,33 +129,33 @@
 };
 
 /**
- *  Overloaded operator to print the value of a LrWpanPhyEnumeration.
+ *  Overloaded operator to print the value of a PhyEnumeration.
  *
  *  \param os The output stream
  *  \param state The text value of the PHY state
  *  \return The output stream with text value of the PHY state
  */
-std::ostream& operator<<(std::ostream& os, const LrWpanPhyEnumeration& state);
+std::ostream& operator<<(std::ostream& os, const PhyEnumeration& state);
 
 /**
- *  Overloaded operator to print the value of a TracedValue<LrWpanPhyEnumeration>.
+ *  Overloaded operator to print the value of a TracedValue<PhyEnumeration>.
  *
  *  \param os The output stream
  *  \param state The text value of the PHY state
  *  \return The output stream with text value of the PHY state
  */
-std::ostream& operator<<(std::ostream& os, const TracedValue<LrWpanPhyEnumeration>& state);
+std::ostream& operator<<(std::ostream& os, const TracedValue<PhyEnumeration>& state);
 
 namespace TracedValueCallback
 {
 /**
  * \ingroup lr-wpan
- * TracedValue callback signature for LrWpanPhyEnumeration.
+ * TracedValue callback signature for PhyEnumeration.
  *
  * \param [in] oldValue original value of the traced variable
  * \param [in] newValue new value of the traced variable
  */
-typedef void (*LrWpanPhyEnumeration)(LrWpanPhyEnumeration oldValue, LrWpanPhyEnumeration newValue);
+typedef void (*PhyEnumeration)(PhyEnumeration oldValue, PhyEnumeration newValue);
 } // namespace TracedValueCallback
 
 /**
@@ -159,7 +163,7 @@
  *
  * IEEE802.15.4-2006 PHY PIB Attribute Identifiers Table 23 in section 6.4.2
  */
-enum LrWpanPibAttributeIdentifier
+enum PhyPibAttributeIdentifier
 {
     phyCurrentChannel = 0x00,
     phyChannelsSupported = 0x01,
@@ -176,7 +180,7 @@
  *
  * IEEE802.15.4-2006 PHY PIB Attributes Table 23 in section 6.4.2
  */
-struct LrWpanPhyPibAttributes : public SimpleRefCount<LrWpanPhyPibAttributes>
+struct PhyPibAttributes : public SimpleRefCount<PhyPibAttributes>
 {
     uint8_t phyCurrentChannel;         //!< The RF channel to use
     uint32_t phyChannelsSupported[32]; //!< BitField representing the available channels supported
@@ -208,7 +212,7 @@
  *
  * @param status the status to be transmitted
  */
-typedef Callback<void, LrWpanPhyEnumeration> PdDataConfirmCallback;
+typedef Callback<void, PhyEnumeration> PdDataConfirmCallback;
 
 /**
  * \ingroup lr-wpan
@@ -217,7 +221,7 @@
  *
  * @param status the status of CCA
  */
-typedef Callback<void, LrWpanPhyEnumeration> PlmeCcaConfirmCallback;
+typedef Callback<void, PhyEnumeration> PlmeCcaConfirmCallback;
 
 /**
  * \ingroup lr-wpan
@@ -227,7 +231,7 @@
  * @param status the status of ED
  * @param energyLevel the energy level of ED
  */
-typedef Callback<void, LrWpanPhyEnumeration, uint8_t> PlmeEdConfirmCallback;
+typedef Callback<void, PhyEnumeration, uint8_t> PlmeEdConfirmCallback;
 
 /**
  * \ingroup lr-wpan
@@ -238,10 +242,7 @@
  * @param id the identifier of attribute
  * @param attribute the pointer to attribute struct
  */
-typedef Callback<void,
-                 LrWpanPhyEnumeration,
-                 LrWpanPibAttributeIdentifier,
-                 Ptr<LrWpanPhyPibAttributes>>
+typedef Callback<void, PhyEnumeration, PhyPibAttributeIdentifier, Ptr<PhyPibAttributes>>
     PlmeGetAttributeConfirmCallback;
 
 /**
@@ -251,7 +252,7 @@
  *
  * @param status the status of PlmeSetTRXStateRequest
  */
-typedef Callback<void, LrWpanPhyEnumeration> PlmeSetTRXStateConfirmCallback;
+typedef Callback<void, PhyEnumeration> PlmeSetTRXStateConfirmCallback;
 
 /**
  * \ingroup lr-wpan
@@ -261,8 +262,7 @@
  * @param status the status of PlmeSetAttributeRequest
  * @param id the identifier of attribute
  */
-typedef Callback<void, LrWpanPhyEnumeration, LrWpanPibAttributeIdentifier>
-    PlmeSetAttributeConfirmCallback;
+typedef Callback<void, PhyEnumeration, PhyPibAttributeIdentifier> PlmeSetAttributeConfirmCallback;
 
 /**
  * \ingroup lr-wpan
@@ -337,7 +337,7 @@
      *
      * @param phyOption The phy modulation option used by the model.
      */
-    void SetPhyOption(LrWpanPhyOption phyOption);
+    void SetPhyOption(PhyOption phyOption);
 
     /**
      * Set the receiver power sensitivity used by this device in dBm.
@@ -400,7 +400,7 @@
      * Get attributes per definition from Table 23 in section 6.4.2
      * \param id the attributed identifier
      */
-    void PlmeGetAttributeRequest(LrWpanPibAttributeIdentifier id);
+    void PlmeGetAttributeRequest(PhyPibAttributeIdentifier id);
 
     /**
      * IEEE 802.15.4-2006 section 6.2.2.7
@@ -408,7 +408,7 @@
      * Set PHY state
      * \param state in RX_ON,TRX_OFF,FORCE_TRX_OFF,TX_ON
      */
-    void PlmeSetTRXStateRequest(LrWpanPhyEnumeration state);
+    void PlmeSetTRXStateRequest(PhyEnumeration state);
 
     /**
      * IEEE 802.15.4-2006 section 6.2.2.9
@@ -417,8 +417,7 @@
      * \param id the attributed identifier
      * \param attribute the attribute value
      */
-    void PlmeSetAttributeRequest(LrWpanPibAttributeIdentifier id,
-                                 Ptr<LrWpanPhyPibAttributes> attribute);
+    void PlmeSetAttributeRequest(PhyPibAttributeIdentifier id, Ptr<PhyPibAttributes> attribute);
 
     /**
      * set the callback for the end of a RX, as part of the
@@ -569,8 +568,8 @@
      * be removed in a future release.
      */
     typedef void (*StateTracedCallback)(Time time,
-                                        LrWpanPhyEnumeration oldState,
-                                        LrWpanPhyEnumeration newState);
+                                        PhyEnumeration oldState,
+                                        PhyEnumeration newState);
 
   private:
     /**
@@ -587,7 +586,7 @@
      *
      * \param newState the new state
      */
-    void ChangeTrxState(LrWpanPhyEnumeration newState);
+    void ChangeTrxState(PhyEnumeration newState);
 
     /**
      * Get the currently configured PHY option.
@@ -595,11 +594,11 @@
      *
      * \return the PHY option
      */
-    LrWpanPhyOption GetMyPhyOption();
+    PhyOption GetMyPhyOption();
 
     /**
      * Finish the transmission of a frame. This is called at the end of a frame
-     * transmission, applying possibly pending PHY state changes and fireing the
+     * transmission, applying possibly pending PHY state changes and firing the
      * appropriate trace sources and confirm callbacks to the MAC.
      */
     void EndTx();
@@ -612,7 +611,7 @@
 
     /**
      * Finish the reception of a frame. This is called at the end of a frame
-     * reception, applying possibly pending PHY state changes and fireing the
+     * reception, applying possibly pending PHY state changes and firing the
      * appropriate trace sources and indication callbacks to the MAC. A frame
      * destroyed by noise/interference is dropped here, but not during reception.
      * This method is also called for every packet which only contributes to
@@ -629,7 +628,7 @@
      *
      * \param state the new state which is the cause for canceling ED
      */
-    void CancelEd(LrWpanPhyEnumeration state);
+    void CancelEd(PhyEnumeration state);
 
     /**
      * Called at the end of the ED procedure. The average energy detected is
@@ -746,11 +745,11 @@
      * The trace source fired when the phy layer changes the transceiver state.
      *
      * \see class CallBackTraceSource
-     * \deprecated The LrWpanPhyEnumeration state is now accessible as the
+     * \deprecated The PhyEnumeration state is now accessible as the
      * TracedValue \c TrxStateValue.  This TracedCallback will
      * be removed in a future release.
      */
-    TracedCallback<Time, LrWpanPhyEnumeration, LrWpanPhyEnumeration> m_trxStateLogger;
+    TracedCallback<Time, PhyEnumeration, PhyEnumeration> m_trxStateLogger;
 
     /**
      * Calculates the nominal transmit power of the device in decibels relative to 1 mW
@@ -824,19 +823,19 @@
     /**
      * The current PHY PIB attributes.
      */
-    LrWpanPhyPibAttributes m_phyPIBAttributes;
+    PhyPibAttributes m_phyPIBAttributes;
 
     // State variables
     /**
      * The current transceiver state.
      */
-    TracedValue<LrWpanPhyEnumeration> m_trxState;
+    TracedValue<PhyEnumeration> m_trxState;
 
     /**
      * The next pending state to applied after the current action of the PHY is
      * completed.
      */
-    LrWpanPhyEnumeration m_trxStatePending;
+    PhyEnumeration m_trxStatePending;
 
     // Callbacks
     /**
@@ -884,12 +883,12 @@
     /**
      * The currently configured PHY type.
      */
-    LrWpanPhyOption m_phyOption;
+    PhyOption m_phyOption;
 
     /**
      * Helper value for tracking the average power during ED.
      */
-    LrWpanEdPower m_edPower;
+    EdPower m_edPower;
 
     /**
      * Helper value for the peak power value during CCA.
@@ -962,6 +961,7 @@
     Ptr<ErrorModel> m_postReceptionErrorModel; //!< Error model for receive packet events
 };
 
+} // namespace lrwpan
 } // namespace ns3
 
 #endif /* LR_WPAN_PHY_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.cc ns-3.42/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.cc	2024-05-29 15:29:46.976073300 -0700
@@ -23,6 +23,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 NS_LOG_COMPONENT_DEFINE("LrWpanSpectrumSignalParameters");
 
@@ -46,4 +48,5 @@
     return Create<LrWpanSpectrumSignalParameters>(*this);
 }
 
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.h ns-3.42/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.h	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-spectrum-signal-parameters.h	2024-05-29 15:29:46.976073300 -0700
@@ -27,6 +27,9 @@
 
 class PacketBurst;
 
+namespace lrwpan
+{
+
 /**
  * \ingroup lr-wpan
  *
@@ -53,6 +56,7 @@
     Ptr<PacketBurst> packetBurst;
 };
 
+} // namespace lrwpan
 } // namespace ns3
 
 #endif /* LR_WPAN_SPECTRUM_SIGNAL_PARAMETERS_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-spectrum-value-helper.cc ns-3.42/src/lr-wpan/model/lr-wpan-spectrum-value-helper.cc
--- ns-3.41/src/lr-wpan/model/lr-wpan-spectrum-value-helper.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-spectrum-value-helper.cc	2024-05-29 15:29:46.976073300 -0700
@@ -25,6 +25,8 @@
 
 namespace ns3
 {
+namespace lrwpan
+{
 
 NS_LOG_COMPONENT_DEFINE("LrWpanSpectrumValueHelper");
 
@@ -152,4 +154,5 @@
     return totalAvgPower;
 }
 
+} // namespace lrwpan
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/model/lr-wpan-spectrum-value-helper.h ns-3.42/src/lr-wpan/model/lr-wpan-spectrum-value-helper.h
--- ns-3.41/src/lr-wpan/model/lr-wpan-spectrum-value-helper.h	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/model/lr-wpan-spectrum-value-helper.h	2024-05-29 15:29:46.976073300 -0700
@@ -26,6 +26,9 @@
 
 class SpectrumValue;
 
+namespace lrwpan
+{
+
 /**
  * \ingroup lr-wpan
  *
@@ -76,6 +79,7 @@
     double m_noiseFactor;
 };
 
+} // namespace lrwpan
 } // namespace ns3
 
 #endif /*  LR_WPAN_SPECTRUM_VALUE_HELPER_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/test/lr-wpan-ack-test.cc ns-3.42/src/lr-wpan/test/lr-wpan-ack-test.cc
--- ns-3.41/src/lr-wpan/test/lr-wpan-ack-test.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/test/lr-wpan-ack-test.cc	2024-05-29 15:29:46.976073300 -0700
@@ -37,6 +37,7 @@
 #include <string>
 
 using namespace ns3;
+using namespace ns3::lrwpan;
 
 NS_LOG_COMPONENT_DEFINE("lr-wpan-ack-test");
 
@@ -336,19 +337,19 @@
 };
 
 LrWpanAckTestSuite::LrWpanAckTestSuite()
-    : TestSuite("lr-wpan-ack", UNIT)
+    : TestSuite("lr-wpan-ack", Type::UNIT)
 {
     AddTestCase(new LrWpanAckTestCase("short-unicast", LrWpanAckTestCase::SHORT_ADDRESS_UNICAST),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(
         new LrWpanAckTestCase("short-multicast", LrWpanAckTestCase::SHORT_ADDRESS_MULTICAST),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new LrWpanAckTestCase("short-broadcast", LrWpanAckTestCase::SHORT_ADDRESS_BROADCAST),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new LrWpanAckTestCase("extended-unicast", LrWpanAckTestCase::EXTENDED_ADDRESS_UNICAST),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 }
 
 static LrWpanAckTestSuite g_lrWpanAckTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/test/lr-wpan-cca-test.cc ns-3.42/src/lr-wpan/test/lr-wpan-cca-test.cc
--- ns-3.41/src/lr-wpan/test/lr-wpan-cca-test.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/test/lr-wpan-cca-test.cc	2024-05-29 15:29:46.976073300 -0700
@@ -33,6 +33,7 @@
 #include <iostream>
 
 using namespace ns3;
+using namespace ns3::lrwpan;
 
 NS_LOG_COMPONENT_DEFINE("lr-wpan-clear-channel-assessment-test");
 
@@ -56,7 +57,7 @@
      */
     static void PlmeCcaConfirm(LrWpanCcaTestCase* testcase,
                                Ptr<LrWpanNetDevice> device,
-                               LrWpanPhyEnumeration status);
+                               PhyEnumeration status);
     /**
      * \brief Function called when PhyTxBegin is hit.
      * \param testcase The TestCase.
@@ -107,7 +108,7 @@
 
     void DoRun() override;
 
-    LrWpanPhyEnumeration m_status; //!< PHY status.
+    PhyEnumeration m_status; //!< PHY status.
 };
 
 LrWpanCcaTestCase::LrWpanCcaTestCase()
@@ -119,7 +120,7 @@
 void
 LrWpanCcaTestCase::PlmeCcaConfirm(LrWpanCcaTestCase* testcase,
                                   Ptr<LrWpanNetDevice> device,
-                                  LrWpanPhyEnumeration status)
+                                  PhyEnumeration status)
 {
     std::cout << std::setiosflags(std::ios::fixed) << std::setprecision(9) << "["
               << Simulator::Now().As(Time::S) << "] " << device->GetMac()->GetShortAddress()
@@ -364,9 +365,9 @@
 };
 
 LrWpanCcaTestSuite::LrWpanCcaTestSuite()
-    : TestSuite("lr-wpan-clear-channel-assessment", UNIT)
+    : TestSuite("lr-wpan-clear-channel-assessment", Type::UNIT)
 {
-    AddTestCase(new LrWpanCcaTestCase, TestCase::QUICK);
+    AddTestCase(new LrWpanCcaTestCase, TestCase::Duration::QUICK);
 }
 
 static LrWpanCcaTestSuite g_lrWpanCcaTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/test/lr-wpan-collision-test.cc ns-3.42/src/lr-wpan/test/lr-wpan-collision-test.cc
--- ns-3.41/src/lr-wpan/test/lr-wpan-collision-test.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/test/lr-wpan-collision-test.cc	2024-05-29 15:29:46.976073300 -0700
@@ -28,6 +28,7 @@
 #include <ns3/test.h>
 
 using namespace ns3;
+using namespace ns3::lrwpan;
 
 NS_LOG_COMPONENT_DEFINE("lr-wpan-collision-test");
 
@@ -225,9 +226,9 @@
 };
 
 LrWpanCollisionTestSuite::LrWpanCollisionTestSuite()
-    : TestSuite("lr-wpan-collision", UNIT)
+    : TestSuite("lr-wpan-collision", Type::UNIT)
 {
-    AddTestCase(new LrWpanCollisionTestCase, TestCase::QUICK);
+    AddTestCase(new LrWpanCollisionTestCase, TestCase::Duration::QUICK);
 }
 
 static LrWpanCollisionTestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/test/lr-wpan-ed-test.cc ns-3.42/src/lr-wpan/test/lr-wpan-ed-test.cc
--- ns-3.41/src/lr-wpan/test/lr-wpan-ed-test.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/test/lr-wpan-ed-test.cc	2024-05-29 15:29:46.976073300 -0700
@@ -32,6 +32,7 @@
 #include <iostream>
 
 using namespace ns3;
+using namespace ns3::lrwpan;
 
 NS_LOG_COMPONENT_DEFINE("lr-wpan-energy-detection-test");
 
@@ -54,10 +55,10 @@
      * \param status The PHY status.
      * \param level The ED level.
      */
-    void PlmeEdConfirm(LrWpanPhyEnumeration status, uint8_t level);
+    void PlmeEdConfirm(PhyEnumeration status, uint8_t level);
 
-    LrWpanPhyEnumeration m_status; //!< PHY status.
-    uint8_t m_level;               //!< ED level.
+    PhyEnumeration m_status; //!< PHY status.
+    uint8_t m_level;         //!< ED level.
 };
 
 LrWpanEdTestCase::LrWpanEdTestCase()
@@ -68,7 +69,7 @@
 }
 
 void
-LrWpanEdTestCase::PlmeEdConfirm(LrWpanPhyEnumeration status, uint8_t level)
+LrWpanEdTestCase::PlmeEdConfirm(PhyEnumeration status, uint8_t level)
 {
     NS_LOG_UNCOND("Energy Detection completed with status "
                   << LrWpanHelper::LrWpanPhyEnumerationPrinter(status) << " and energy level "
@@ -168,7 +169,7 @@
     NS_TEST_EXPECT_MSG_EQ(m_status, IEEE_802_15_4_PHY_SUCCESS, "ED status SUCCESS (as expected)");
     NS_TEST_EXPECT_MSG_EQ(m_level, 0, "ED reported signal level 0 (as expected)");
 
-    // Configure the RX Power to be -106.58 dBm, i.e. exectly to receiver sensitivity.
+    // Configure the RX Power to be -106.58 dBm, i.e. exactly to receiver sensitivity.
     propModel->SetRss(-106.58);
 
     m_status = IEEE_802_15_4_PHY_UNSPECIFIED;
@@ -266,9 +267,9 @@
 };
 
 LrWpanEdTestSuite::LrWpanEdTestSuite()
-    : TestSuite("lr-wpan-energy-detection", UNIT)
+    : TestSuite("lr-wpan-energy-detection", Type::UNIT)
 {
-    AddTestCase(new LrWpanEdTestCase, TestCase::QUICK);
+    AddTestCase(new LrWpanEdTestCase, TestCase::Duration::QUICK);
 }
 
 static LrWpanEdTestSuite g_lrWpanEdTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/test/lr-wpan-error-model-test.cc ns-3.42/src/lr-wpan/test/lr-wpan-error-model-test.cc
--- ns-3.41/src/lr-wpan/test/lr-wpan-error-model-test.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/test/lr-wpan-error-model-test.cc	2024-05-29 15:29:46.976073300 -0700
@@ -33,6 +33,7 @@
 #include <ns3/test.h>
 
 using namespace ns3;
+using namespace ns3::lrwpan;
 
 NS_LOG_COMPONENT_DEFINE("lr-wpan-error-model-test");
 
@@ -207,10 +208,10 @@
 };
 
 LrWpanErrorModelTestSuite::LrWpanErrorModelTestSuite()
-    : TestSuite("lr-wpan-error-model", UNIT)
+    : TestSuite("lr-wpan-error-model", Type::UNIT)
 {
-    AddTestCase(new LrWpanErrorModelTestCase, TestCase::QUICK);
-    AddTestCase(new LrWpanErrorDistanceTestCase, TestCase::QUICK);
+    AddTestCase(new LrWpanErrorModelTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new LrWpanErrorDistanceTestCase, TestCase::Duration::QUICK);
 }
 
 static LrWpanErrorModelTestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lr-wpan/test/lr-wpan-ifs-test.cc ns-3.42/src/lr-wpan/test/lr-wpan-ifs-test.cc
--- ns-3.41/src/lr-wpan/test/lr-wpan-ifs-test.cc	2024-02-09 14:44:07.957790400 -0800
+++ ns-3.42/src/lr-wpan/test/lr-wpan-ifs-test.cc	2024-05-29 15:29:46.976073300 -0700
@@ -33,6 +33,7 @@
 #include <iostream>
 
 using namespace ns3;
+using namespace ns3::lrwpan;
 
 NS_LOG_COMPONENT_DEFINE("lr-wpan-ifs-test");
 
@@ -418,9 +419,9 @@
 };
 
 LrWpanIfsTestSuite::LrWpanIfsTestSuite()
-    : TestSuite("lr-wpan-ifs-test", UNIT)
+    : TestSuite("lr-wpan-ifs-test", Type::UNIT)
 {
-    AddTestCase(new LrWpanDataIfsTestCase, TestCase::QUICK);
+    AddTestCase(new LrWpanDataIfsTestCase, TestCase::Duration::QUICK);
 }
 
 static LrWpanIfsTestSuite lrWpanIfsTestSuite; //!< Static variable for test initialization
